## org.eclipse.datatools.sqltools.sqlbuilder.dialogs
Class SourceTargetDialog

    java.lang.Object
      org.eclipse.jface.window.Window
          org.eclipse.jface.dialogs.Dialog
              org.eclipse.datatools.sqltools.sqlbuilder.dialogs.SourceTargetDialog

All Implemented Interfaces:
  org.eclipse.jface.window.IShellProvider

    public class SourceTargetDialog

extends org.eclipse.jface.dialogs.Dialog

Dialog to help define the source/target column for a join. This might be replaced once we know how to initiate a drag tracker

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.jface.window.Window
`org.eclipse.jface.window.Window.IExceptionHandler`

Field Summary

Fields inherited from class org.eclipse.jface.dialogs.Dialog
`blockedHandler, buttonBar, DIALOG_DEFAULT_BOUNDS, DIALOG_PERSISTLOCATION, DIALOG_PERSISTSIZE, DLG_IMG_ERROR, DLG_IMG_HELP, DLG_IMG_INFO, DLG_IMG_MESSAGE_ERROR, DLG_IMG_MESSAGE_INFO, DLG_IMG_MESSAGE_WARNING, DLG_IMG_QUESTION, DLG_IMG_WARNING, ELLIPSIS`

Fields inherited from class org.eclipse.jface.window.Window
`CANCEL, OK`

Constructor Summary
`SourceTargetDialog(org.eclipse.swt.widgets.Shell shell, TableExpression srcTable, QuerySelect qSelect, SQLDomainModel domainModel)`

Method Summary
`org.eclipse.swt.widgets.Control` `createDialogArea(org.eclipse.swt.widgets.Composite parent)`
`int` `getJoinType()`
`ValueExpressionColumn` `getSourceColumn()`
`TableExpression` `getSourceTable()`
`ValueExpressionColumn` `getTargetColumn()`
`TableExpression` `getTargetTable()`
`void` `initializeTableCombos()` Populate Source & Target Table combo boxes
`void` `setTypes()`

Methods inherited from class org.eclipse.jface.dialogs.Dialog
`applyDialogFont, close, convertHeightInCharsToPixels, convertHorizontalDLUsToPixels, convertVerticalDLUsToPixels, convertWidthInCharsToPixels, create, getBlockedHandler, getImage, setBlockedHandler, shortenText`

Methods inherited from class org.eclipse.jface.window.Window
`getDefaultImage, getDefaultImages, getDefaultOrientation, getReturnCode, getShell, getWindowManager, open, setBlockOnOpen, setDefaultImage, setDefaultImages, setDefaultModalParent, setDefaultOrientation, setExceptionHandler, setWindowManager`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SourceTargetDialog

    public SourceTargetDialog(org.eclipse.swt.widgets.Shell shell,
                              TableExpression srcTable,
                              QuerySelect qSelect,
                              SQLDomainModel domainModel)

Method Detail

### initializeTableCombos

    public void initializeTableCombos()

  Populate Source & Target Table combo boxes

### getTargetTable

    public TableExpression getTargetTable()

### getSourceTable

    public TableExpression getSourceTable()

### getSourceColumn

    public ValueExpressionColumn getSourceColumn()

### getTargetColumn

    public ValueExpressionColumn getTargetColumn()

### getJoinType

    public int getJoinType()

### createDialogArea

    public org.eclipse.swt.widgets.Control createDialogArea(org.eclipse.swt.widgets.Composite parent)

  Overrides:
    `createDialogArea` in class `org.eclipse.jface.dialogs.Dialog`

### setTypes

    public void setTypes()